Skip to main content
GET
/
api
/
v1
/
search-email-leads
/
states
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/states?api_key=YOUR_API_KEY"
{
  "success": true,
  "message": "Data retrieved successfully",
  "data": [
    { "id": 1, "state_name": "Texas" },
    { "id": 2, "state_name": "California" }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "page": 1,
    "count": 2
  },
  "search": null
}
This endpoint requires authentication via API key passed as a query parameter (api_key).

Query Parameters

api_key
string
required
Your SmartLead API key for authentication
limit
string
Number of states to return (1–100). Pattern: ^[1-9][0-9]*$ or 100. Default: “10”.
offset
string
Number of states to skip for pagination (≥ 0). Pattern: ^[0-9]+$. Default: “0”.
Search string to match state names starting with this value (1–255 characters).
country
string
Filter by country name(s). Comma-separated values (e.g. india,usa,canada). 1–255 chars.
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/states?api_key=YOUR_API_KEY"

Response Codes

200
Success
Request successful
401
Unauthorized
Unauthorized
500
Internal Server Error
Internal Server Error
{
  "success": true,
  "message": "Data retrieved successfully",
  "data": [
    { "id": 1, "state_name": "Texas" },
    { "id": 2, "state_name": "California" }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "page": 1,
    "count": 2
  },
  "search": null
}